
OBJS = rf-lib.o rf-test.o filters.o pts_api.o i2c_master.o

OBJS3 = rf-lib.o filters.o pts_api.o

SPECLIB = spec-sw/tools/libspec.so

OBJ2 = spec-sw/tools/speclib.o spec-sw/kernel/loader-ll.o

CFLAGS = -I../include -g -Imini_bone -Ispec-sw/tools/ -I. -Ispec-sw/kernel/ -fPIC

DIRS = fmc-bus spec-sw fmc-adc-100m14b4cha-sw ../python/libipmi fpga-config-space/sdbfs/lib fpga-config-space/sdbfs/userspace fmc-adc-100m14b4cha-sw/zio



all modules install modules_install: $(OBJS)
	for d in $(DIRS); do $(MAKE) -C $$d $@ ; done
	gcc -o rf-test $(OBJS) $(SPECLIB) -lm
	gcc -shared -o rf-lib.so -Wl,--whole-archive spec-sw/tools/libspec.a -Wl,--no-whole-archive $(OBJS)
	gcc -o rf-test  $(OBJS) $(SPECLIB) -lm
	ln -fs ../software/fpga-config-space/sdbfs/userspace/gensdbfs ../python/gensdbfs


clean:	
	for d in $(DIRS); do $(MAKE) -C $$d $@; done
	rm -f $(OBJS) rf-test
	rm -f ../python/gensdbfs
